# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""cmenu.ui and icons path"""

import os
import sys

from bzrlib.plugins.gtk import _i18n

def olive_data_basedirs():
    _dir=os.path.dirname(__file__)
    return [_dir,
            os.path.dirname(_dir),
            os.path.expanduser("~/share/olive"),
            "/usr/share/olive",
            "/usr/local/share/olive",
            "/opt/share/olive",
            "/opt/local/share/olive",
            ]

def olive_data_path(*args):
    for basedir in olive_data_basedirs():
        path = os.path.join(basedir, *args)
        if os.path.exists(path):
            return path
    return None

def olive_icon_path(*args):
    return olive_data_path(os.path.join('icons', *args))

# Get the glade file name
UIFILENAME = olive_data_path('cmenu.ui')

if sys.platform == 'win32':
    UIFILENAME = os.path.join(os.path.dirname(sys.executable),
                                   "share/olive/cmenu.ui")
    if not os.path.exists(path):
        UIFILENAME=None

if UIFILENAME is None:
    # Fail
    print _i18n('Context menu file (cmenu.ui) cannot be found.')
    sys.exit(1)
